# Visualization
TKV3d
Visual3d

# Visual3d_HSetOfLight Class Reference

`#include <Visual3d_HSetOfLight.hxx>`

## Public Member Functions

Standard_EXPORT | Visual3d_HSetOfLight ()
Standard_Integer | Extent () const
Standard_Boolean | IsEmpty () const
void | Clear ()
Standard_Boolean | Add (const Handle(Visual3d_Light)&T)
Standard_Boolean | Remove (const Handle(Visual3d_Light)&T)
Standard_EXPORT Handle_Visual3d_HSetOfLight | Union (const Handle(Visual3d_HSetOfLight)&B) const
Standard_EXPORT Handle_Visual3d_HSetOfLight | Intersection (const Handle(Visual3d_HSetOfLight)&B) const
Standard_EXPORT Handle_Visual3d_HSetOfLight | Difference (const Handle(Visual3d_HSetOfLight)&B) const
Standard_Boolean | Contains (const Handle(Visual3d_Light)&T) const
Standard_Boolean | IsASubset (const Handle(Visual3d_HSetOfLight)&S) const
Standard_Boolean | IsAProperSubset (const Handle(Visual3d_HSetOfLight)&S) const
Standard_EXPORT Handle_Visual3d_HSetOfLight | ShallowCopy () const
const Visual3d_SetOfLight & | Set () const
Visual3d_SetOfLight & | ChangeSet ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Visual3d_SetOfLight | mySet

## Constructor & Destructor Documentation

Standard_EXPORT Visual3d_HSetOfLight::Visual3d_HSetOfLight | ( |  | ) |

## Member Function Documentation

Standard_Boolean Visual3d_HSetOfLight::Add | ( | const Handle(Visual3d_Light)& | T | ) |

Visual3d_SetOfLight& Visual3d_HSetOfLight::ChangeSet | ( |  | ) |

void Visual3d_HSetOfLight::Clear | ( |  | ) |

Standard_Boolean Visual3d_HSetOfLight::Contains | ( | const Handle(Visual3d_Light)& | T | ) | const

Standard_EXPORT Handle_Visual3d_HSetOfLight Visual3d_HSetOfLight::Difference | ( | const Handle(Visual3d_HSetOfLight)& | B | ) | const

Standard_Integer Visual3d_HSetOfLight::Extent | ( |  | ) | const

Standard_EXPORT const Visual3d_HSetOfLight::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Handle_Visual3d_HSetOfLight Visual3d_HSetOfLight::Intersection | ( | const Handle(Visual3d_HSetOfLight)& | B | ) | const

Standard_Boolean Visual3d_HSetOfLight::IsAProperSubset | ( | const Handle(Visual3d_HSetOfLight)& | S | ) | const

Standard_Boolean Visual3d_HSetOfLight::IsASubset | ( | const Handle(Visual3d_HSetOfLight)& | S | ) | const

Standard_Boolean Visual3d_HSetOfLight::IsEmpty | ( |  | ) | const

Standard_Boolean Visual3d_HSetOfLight::Remove | ( | const Handle(Visual3d_Light)& | T | ) |

const Visual3d_SetOfLight& Visual3d_HSetOfLight::Set | ( |  | ) | const

Standard_EXPORT Handle_Visual3d_HSetOfLight Visual3d_HSetOfLight::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_Visual3d_HSetOfLight Visual3d_HSetOfLight::Union | ( | const Handle(Visual3d_HSetOfLight)& | B | ) | const

## Field Documentation

Visual3d_SetOfLight Visual3d_HSetOfLight::mySet `[private]`

The documentation for this class was generated from the following file:

- Visual3d_HSetOfLight.hxx